---
title: Ansible Role GitLab
repo: https://gitlab.lakedrops.com/ansible/roles/gitlab
issues: https://gitlab.lakedrops.com/ansible/roles/gitlab/-/issues
tags:
- ansible
---
Installs GitLab Community Edition

Links:

- GitLab Install on Ubuntu 12.04: https://about.gitlab.com/downloads
    - sudo apt-get install curl openssh-server ca-certificates postfix
    - curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ce/script.deb.sh | sudo bash
    - sudo apt-get install gitlab-ce
    - sudo nano /etc/gitlab/gitlab.rb
    - sudo gitlab-ctl restart
    - Configure Apache
    - sudo gitlab-ctl reconfigure
    - sudo service apache2 restart
        * Username: root
        * Password: 5iveL!fe
- Trouble Shooting: https://gitlab.com/gitlab-org/omnibus-gitlab/blob/master/README.md
- Blog Install GitLab: http://paulshipley.id.au/blog/coding-tips/install-gitlab-on-ubuntu-14-04-using-apache2
- GitLab / SSL / Apache: https://gitlab.com/gitlab-org/gitlab-recipes/blob/master/web-server/apache/gitlab-ssl.conf
- GitLab other webserver: https://gitlab.com/gitlab-org/omnibus-gitlab/blob/master/doc/settings/nginx.md
- Ansible Sample: https://gitlab.xarif.de/thomass/ansible_roles/tree/master/thomass.gitlab
- CI Samples: http://doc.gitlab.com/ce/ci/yaml/README.html
- Runner installation: https://gitlab.com/gitlab-org/gitlab-ci-multi-runner/tree/master

Additional issues that helped to resolve the configuration:
- https://gitlab.com/gitlab-org/gitlab-ce/issues/3262
- https://gitlab.com/gitlab-org/gitlab-ce/issues/3262
- https://gitlab.com/gitlab-org/gitlab-recipes/tree/master/web-server/apache

Prepareing target hosts:
- Copy pdevop:/home/gitlab-runner/.ssh/id_rsa.pub to authenticated keys on target host
- ssh-keygen on target and paste the public key into deployment keys on gitlab

Preparing gitlab-runner:
- Configure Ansible with vault and password

Preparing gitlab-lfs:
- see http://doc.gitlab.com/ce/workflow/lfs/lfs_administration.html
- gitlab_rails['lfs_enabled'] = false
- gitlab_rails['lfs_storage_path'] = "/mnt/storage/lfs-objects"

GitLab LFS client install and usage:
- https://packagecloud.io/github/git-lfs/install
- http://doc.gitlab.com/ce/workflow/lfs/manage_large_binaries_with_git_lfs.html

Gitlab Kanban
- http://kanban.leanlabs.io
- https://gitlab.com/leanlabsio/kanban

Tips & Tricks

- Database Console: `sudo -u gitlab-psql /opt/gitlab/embedded/bin/psql -h /var/opt/gitlab/postgresql/ gitlabhq_production`
- Mattermost CLI: `/opt/gitlab/embedded/service/mattermost/i18n` and then `sudo -u mattermost /opt/gitlab/embedded/bin/mattermost -config=/var/opt/gitlab/mattermost/config.json -help`
- [Registry Garbage Collection](https://docs.gitlab.com/omnibus/maintenance/#removing-unused-layers-not-referenced-by-manifests)
